Skip to content

Generate Lyrics

POST https://www.kkiai.com/suno/submit/lyrics

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequired
notify_hookstringOptional

Request Example

json
{
    "prompt": "dance"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/suno/submit/lyrics' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "dance"
}'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
codestringRequired
datastringRequired
messagestringRequired

Response Example

json
{
    "code": "success",
    "data": "47443cc1-4902-42ae-ae7f-72a9900544e9",
    "message": ""
}